<?php
### Vérifie les droits d'accès de l'utilisateur
if(!current_user_can('administrator'))
	die('Access Denied');    

?>


<div class="wrap">
    <h2>Bloc : FAQ</h2>
    <?php
        home_display_warning_message('error');
        home_display_warning_message('notice'); 
        $args = array(
            'post_type'		=> 'question'
        );
		$faqs = get_posts( $args );
        $faq = get_option('home_faq');
     
    ?> 
    <h3>Si aucune question n'ai sélectionnée, alors l'affichage des questions se fera aléatoirement.</h3>
    <form action="" method="post">
        <table>
            <tr>
                <td>Question à afficher en permanence :</td>
                <td>
                    <select name="choix_faq">
                        <option value="0"></option>
                        <?php
                            
                            foreach($faqs as $key => $valeur)
                            {
                        ?>
                            <option value="<?php echo $valeur->ID; ?>"<?php echo ($faq == $valeur->ID) ? 'selected=selected' : ''?>><?php echo $valeur->post_title; ?></option>;
                        <?php
                            }
                        ?>
                        
                    </select>
                </td>
            </tr>
            <tr>
                <td></td>
                <td><input class="button" type="submit" name="enregistrer_faq" value="Enregistrer"></td>
            </tr>
        </table>
 
    </form>
</div>